import { type CSSClass, type CSSStyle } from '@oinone/kunlun-shared';
import { BasePackWidget } from '../../basic';
export declare class DefaultGroupWidget extends BasePackWidget {
    initialize(props: any): this;
    get title(): string | undefined;
    get bizStyle(): string | undefined;
    get description(): string;
    get border(): boolean;
    get wrapperClassName(): CSSClass | undefined;
    get wrapperStyle(): string | Partial<CSSStyle> | undefined;
    get toolbarClassName(): CSSClass | undefined;
    get toolbarStyle(): string | Partial<CSSStyle> | undefined;
    get help(): any;
    get layout(): string | undefined;
    /**
     * @deprecated 不允许通过api设置title
     */
    setTitle(title: string): void;
}
